;      TITLE("Sample App")
;++
        AREA sample, CODE, READONLY  ; name this block of code
        
   EXPORT  ARMTEST1
	IMPORT  iGlobal
;
; Called from C as int ARMTEST1(int, int, int, int);
; The first 4 parameters are passed in r0-r3, more parameters would be passed on the stack
;
ARMTEST1 proc
    add r0,r0,r1     ; add all of the inputs together
    add r0,r0,r2
    add r0,r0,r3
    ldr r1,=iGlobal  ; get the value of our global variable
    ldr r1,[r1]   ; dereference the pointer (I know there's a pipe stall here)
    add r0,r0,r1  ; we're not concerned with performance in this example
    mov pc,lr     ; return to C with the value in R0    
    endp

    LTORG      ; allow room for the address constant of our global (loaded relative to PC)
    END
